# $Revision: 1.3 $, $Date: 2012/01/22 22:33:49 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Group
Summary:	Test::Group - Group together related tests in a test suite
#Summary(pl.UTF-8):	
Name:		perl-Test-Group
Version:	0.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4dc6d510b1165776e8f0a26d0af8e62c
URL:		http://search.cpan.org/dist/Test-Group/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-Slurp
BuildRequires:	perl-Test-Cmd
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Group allows for grouping together related tests in a
standard Test::More-style script. (If you are not already familiar
with Test::More, now would be the time to go take a look.)
Test::Group provides a bunch of maintainability and scalability
advantages to large test suites:

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/Group

%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Group.spec,v $
Revision 1.3  2012/01/22 22:33:49  zbyniu
- up to 0.18

Revision 1.2  2009/11/11 17:58:27  amateja
- updated to 0.15

Revision 1.1  2008/11/09 11:54:16  radek
- new
